Imports System.Globalization

Namespace FbAuthWpf.Common
	Public Class VisibilityConverter
		Implements IValueConverter

		Public Function Convert(ByVal value As Object, ByVal targetType As Type, ByVal parameter As Object, ByVal culture As CultureInfo) As Object Implements IValueConverter.Convert
			If TypeOf value Is Boolean Then
				Dim negateValue As Boolean
				Boolean.TryParse(TryCast(parameter, String), negateValue)

				Dim newValue As Boolean
				If negateValue Then
					newValue = Not CType(value, Boolean)
				Else
					newValue = CType(value, Boolean)
				End If
				Return If(newValue, Visibility.Visible, Visibility.Hidden)
			End If

			Return value
		End Function

		Public Function ConvertBack(ByVal value As Object, ByVal targetType As Type, ByVal parameter As Object, ByVal culture As CultureInfo) As Object Implements IValueConverter.ConvertBack
			Throw New NotImplementedException
		End Function
	End Class
End Namespace
